Bug 564671 - FTBFS dwarves-1.8-1.fc13
Summary: FTBFS dwarves-1.8-1.fc13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dwarves
Version: 13
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Arnaldo Carvalho de Melo
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: F13FTBFS
TreeView+ depends on / blocked
 
Reported: 2010-02-13 16:33 UTC by FTBFS
Modified: 2011-03-09 20:56 UTC (History)
2 users (show)

Fixed In Version: dwarves-1.9-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-09 20:54:57 UTC


Attachments (Terms of Use)
root.log (33.04 KB, text/plain)
2010-02-13 16:33 UTC, FTBFS
no flags Details
build.log (21.95 KB, text/plain)
2010-02-13 16:33 UTC, FTBFS
no flags Details
mock.log (945 bytes, text/plain)
2010-02-13 16:33 UTC, FTBFS
no flags Details
root.log (40.55 KB, text/plain)
2010-02-13 16:33 UTC, FTBFS
no flags Details
build.log (29.85 KB, text/plain)
2010-02-13 16:33 UTC, FTBFS
no flags Details
mock.log (953 bytes, text/plain)
2010-02-13 16:33 UTC, FTBFS
no flags Details

Description FTBFS 2010-02-13 16:33:30 UTC
dwarves-1.8-1.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)

Comment 1 FTBFS 2010-02-13 16:33:33 UTC
Created attachment 391064 [details]
root.log

root.log for i386

Comment 2 FTBFS 2010-02-13 16:33:34 UTC
Created attachment 391065 [details]
build.log

build.log for i386

Comment 3 FTBFS 2010-02-13 16:33:35 UTC
Created attachment 391066 [details]
mock.log

mock.log for i386

Comment 4 FTBFS 2010-02-13 16:33:37 UTC
Created attachment 391067 [details]
root.log

root.log for x86_64

Comment 5 FTBFS 2010-02-13 16:33:38 UTC
Created attachment 391068 [details]
build.log

build.log for x86_64

Comment 6 FTBFS 2010-02-13 16:33:39 UTC
Created attachment 391069 [details]
mock.log

mock.log for x86_64

Comment 7 Bug Zapper 2010-03-15 14:36:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Jon Stanley 2011-02-28 16:37:33 UTC
Very simple patch to fix this:

diff -up ./dwarves.c.orig ./dwarves.c
--- ./dwarves.c.orig	2011-02-28 11:35:05.144959598 -0500
+++ ./dwarves.c	2011-02-28 11:35:53.142967716 -0500
@@ -21,6 +21,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <unistd.h>
+#include <sys/stat.h>
 
 #include "config.h"
 #include "list.h"

Comment 9 Arnaldo Carvalho de Melo 2011-02-28 17:12:00 UTC
This is fixed on the git repository, I need to tag a new version that includes it.

Comment 10 Fedora Update System 2011-03-01 15:44:49 UTC
Package dwarves-1.9-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dwarves-1.9-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dwarves-1.9-1.fc13
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-03-01 16:30:15 UTC
Package dwarves-1.9-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dwarves-1.9-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dwarves-1.9-1.fc14
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-03-02 01:45:56 UTC
dwarves-1.9-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dwarves'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dwarves-1.9-1.fc14

Comment 13 Fedora Update System 2011-03-09 20:54:41 UTC
dwarves-1.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-09 20:56:26 UTC
dwarves-1.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.